Runtime

## org.eclipse.gmf.runtime.emf.core.clipboard
Class CopyingResource.CopyingSave

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.XMLSaveImpl
          org.eclipse.emf.ecore.xmi.impl.XMISaveImpl
              org.eclipse.gmf.runtime.emf.core.clipboard.CopyingResource.CopyingSave

All Implemented Interfaces:
  org.eclipse.emf.ecore.xmi.XMLSave

Enclosing class:
  CopyingResource

    public class CopyingResource.CopyingSave

extends org.eclipse.emf.ecore.xmi.impl.XMISaveImpl

Save implementation for the CopyingResource.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.xmi.impl.XMLSaveImpl
`org.eclipse.emf.ecore.xmi.impl.XMLSaveImpl.Escape, org.eclipse.emf.ecore.xmi.impl.XMLSaveImpl.Lookup, org.eclipse.emf.ecore.xmi.impl.XMLSaveImpl.XMLTypeInfoImpl`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.xmi.XMLSave
`org.eclipse.emf.ecore.xmi.XMLSave.XMLTypeInfo`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.xmi.impl.XMISaveImpl
`XMI_ID_NS, XMI_TAG_NS, XMI_TYPE_NS, XMI_VER_NS, XMI_XMLNS, xmiType, xmiURI`

Fields inherited from class org.eclipse.emf.ecore.xmi.impl.XMLSaveImpl

`anySimpleType, anyType, ATTRIBUTE_FEATURE_MAP, CONTENT_ELEMENT, CROSS_DOC, currentNode, DATATYPE_ATTRIBUTE_MANY, DATATYPE_CONTENT_SINGLE, DATATYPE_ELEMENT_SINGLE, DATATYPE_MANY, DATATYPE_SINGLE, DATATYPE_SINGLE_NILLABLE, declareSchemaLocation, declareSchemaLocationImplementation, declareXML, declareXSI, doc, document, ELEMENT_FEATURE_MAP, elementHandler, EMPTY_ELEMENT, encoding, eObjectToExtensionMap, escape, escapeURI, extendedMetaData, featureTable, flushThreshold, handler, helper, idAttributeName, idAttributeNS, INDEX_LOOKUP, keepDefaults, map, nameInfo, OBJECT_ATTRIBUTE_IDREF_MANY, OBJECT_ATTRIBUTE_IDREF_SINGLE, OBJECT_ATTRIBUTE_MANY, OBJECT_ATTRIBUTE_SINGLE, OBJECT_CONTAIN_MANY, OBJECT_CONTAIN_MANY_UNSETTABLE, OBJECT_CONTAIN_SINGLE, OBJECT_CONTAIN_SINGLE_UNSETTABLE, OBJECT_ELEMENT_IDREF_MANY, OBJECT_ELEMENT_IDREF_SINGLE, OBJECT_ELEMENT_IDREF_SINGLE_UNSETTABLE, OBJECT_ELEMENT_MANY, OBJECT_ELEMENT_SINGLE, OBJECT_ELEMENT_SINGLE_UNSETTABLE, OBJECT_HREF_MANY, OBJECT_HREF_MANY_UNSETTABLE, OBJECT_HREF_SINGLE, OBJECT_HREF_SINGLE_UNSETTABLE, processDanglingHREF, resourceEntityHandler, root, roots, SAME_DOC, saveTypeInfo, SKIP, toDOM, TRANSIENT, useCache, useEncodedAttributeStyle, XML_VERSION, xmlResource, xmlSchemaTypePackage, xmlTypeInfo, xmlVersion, XSI_NIL, XSI_NO_NAMESPACE_SCHEMA_LOCATION, XSI_SCHEMA_LOCATION, XSI_TYPE_NS, XSI_XMLNS`

Constructor Summary
`CopyingResource.CopyingSave(java.util.Map options, org.eclipse.emf.ecore.xmi.XMLHelper helper, java.lang.String encoding)`
`CopyingResource.CopyingSave(java.util.Map options, org.eclipse.emf.ecore.xmi.XMLHelper helper, java.lang.String encoding, java.lang.String xmlVersion)`
`CopyingResource.CopyingSave(org.eclipse.emf.ecore.xmi.XMLHelper helper)`

Method Summary
`protected int` `sameDocMany(org.eclipse.emf.ecore.EObject o, org.eclipse.emf.ecore.EStructuralFeature f)`
`protected int` `sameDocSingle(org.eclipse.emf.ecore.EObject o, org.eclipse.emf.ecore.EStructuralFeature f)`

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMISaveImpl
`addNamespaceDeclarations, init, isDuplicateURI, saveFeatureMapElementReference, saveTypeAttribute, writeTopObjects`

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMLSaveImpl

`addDoctypeInformation, convertURI, endSave, endSaveFeatures, getContent, getDataTypeElementSingleSimple, getDatatypeValue, getElementIDRefManySimple, getElementIDRefSingleSimple, getElementReferenceManySimple, getElementReferenceSingleSimple, getSchemaLocationRoot, isEmpty, isNil, processAttributeExtensions, processElementExtensions, save, save, save, saveAttributeFeatureMap, saveContainedMany, saveContainedSingle, saveDataTypeAttributeMany, saveDataTypeElementSingle, saveDataTypeMany, saveDataTypeSingle, saveElement, saveElement, saveElement, saveElementFeatureMap, saveElementID, saveElementIDRef, saveElementIDRef, saveElementIDRefMany, saveElementIDRefSingle, saveElementReference, saveElementReferenceMany, saveElementReferenceSingle, saveEObjectMany, saveEObjectSingle, saveFeatures, saveHref, saveHRefMany, saveHRefSingle, saveIDRefMany, saveIDRefSingle, saveManyEmpty, saveManyEmpty, saveNil, saveNil, saveTypeAttribute, shouldSaveFeature, toChar, traverse, write, write, writeAscii, writeTopAttributes, writeTopElements, writeTopObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CopyingResource.CopyingSave

    public CopyingResource.CopyingSave(org.eclipse.emf.ecore.xmi.XMLHelper helper)

### CopyingResource.CopyingSave

    public CopyingResource.CopyingSave(java.util.Map options,
                                       org.eclipse.emf.ecore.xmi.XMLHelper helper,
                                       java.lang.String encoding)

### CopyingResource.CopyingSave

    public CopyingResource.CopyingSave(java.util.Map options,
                                       org.eclipse.emf.ecore.xmi.XMLHelper helper,
                                       java.lang.String encoding,
                                       java.lang.String xmlVersion)

Method Detail

### sameDocMany

    protected int sameDocMany(org.eclipse.emf.ecore.EObject o,
                              org.eclipse.emf.ecore.EStructuralFeature f)

  Overrides:
    `sameDocMany` in class `org.eclipse.emf.ecore.xmi.impl.XMLSaveImpl`
  See Also:
    `XMLSaveImpl.sameDocMany(org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature)`

### sameDocSingle

    protected int sameDocSingle(org.eclipse.emf.ecore.EObject o,
                                org.eclipse.emf.ecore.EStructuralFeature f)

  Overrides:
    `sameDocSingle` in class `org.eclipse.emf.ecore.xmi.impl.XMLSaveImpl`
  See Also:
    `XMLSaveImpl.sameDocSingle(org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.